---
title: USBConfiguration.configurationValue
slug: Web/API/USBConfiguration/configurationValue
tags:
  - API
  - Property
  - Reference
  - USB
  - USBConfiguration
  - WebUSB
  - WebUSB API
  - configurationValue
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("WebUSB API")}}</div>

<p class="summary">The <strong><code>configurationValue</code></strong> read-only property of the {{domxref("USBConfiguration")}} interface null</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>value</var> = USBConfiguration.configurationValue</pre>

<h3 id="Value">Value</h3>

<p>The <a href="https://www.beyondlogic.org/usbnutshell/usb5.shtml#ConfigurationDescriptors">configuration descriptor</a> of the {{domxref("USBDevice")}} specified in the constructor of the current {{domxref("USBConfiguration")}} instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('','null','configurationValue')}}</td>
   <td>{{Spec2('')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBConfiguration.configurationValue")}}</p>
